Forums

Skip to content

Advanced search
  • Quick links
    • Unanswered topics
    • Active topics
    • Search
  • FAQ
  • Login
  • Register
  • Board index International Gentoo Users Polskie forum (Polish)
  • Search

[SELF-GENTOO][KERNEL] Cougar! v3.0.8

Witajcie na polskim forum użytkowników Gentoo!
Opis instalacji i pracy z Gentoo. Pozostała dokumentacja Gentoo

Moderator: SlashBeast

Post Reply
  • Print view
Advanced search
164 posts
  • Page 5 of 7
    • Jump to page:
  • Previous
  • 1
  • …
  • 3
  • 4
  • 5
  • 6
  • 7
  • Next
Author
Message
tomiw
n00b
n00b
Posts: 16
Joined: Mon Jun 18, 2007 11:13 am

  • Quote

Post by tomiw » Thu Jun 21, 2007 10:02 pm

Wkleje z rozpakowanego trucrypta treśc pliku build.sh

Code: Select all

#!/bin/bash 
#
# Copyright (c) TrueCrypt Foundation. All rights reserved.
#
# Covered by the TrueCrypt License 2.3 the full text of which is contained
# in the file License.txt included in TrueCrypt binary and source code
# distribution packages.
#

[ -z "$KERNEL_VER" ] && KERNEL_VER=$(uname -r)
KERNEL_BUILD=/lib/modules/$KERNEL_VER/build
KERNEL_SRC=/lib/modules/$KERNEL_VER/source

TMP=.build.sh.tmp
umask 022

error ()
{
	echo "Error: $*" >&2
}

check_kernel_version ()
{
	M="$1/Makefile"
	[ ! -f "$M" ] && return 1
	
	VER=$(grep '^VERSION *=' "$M" | head -n 1 | tr -d ' ' | cut -d'=' -f2)
	VER=$VER.$(grep '^PATCHLEVEL *=' "$M" | head -n 1 | tr -d ' ' | cut -d'=' -f2)
	VER=$VER.$(grep '^SUBLEVEL *=' "$M" | head -n 1 | tr -d ' ' | cut -d'=' -f2)

	[ $VER = $(echo $KERNEL_VER | cut -d- -f1 | cut -d. -f1-3) ] && return 0
	return 1
}

# Prerequisites

echo "Checking build requirements..."

[ $(id -u) -ne 0 ] && error "Administrator (root) privileges required for kernel source configuration." && exit 1

V=""
case "$KERNEL_VER" in
	[01].*) V=1 ;;
	2.[0-5].*) V=1 ;;
	2.6.[0-4]) V=1 ;;
	2.6.[0-4][.-]*) V=1 ;;
esac
[ "$V" ] && error "TrueCrypt requires Linux kernel 2.6.5 or later" && exit 1

check_kernel_version "$KERNEL_SRC" || KERNEL_SRC=/usr/src/linux-$KERNEL_VER
check_kernel_version "$KERNEL_SRC" || KERNEL_SRC=/usr/src/linux-source-$KERNEL_VER
check_kernel_version "$KERNEL_SRC" || KERNEL_SRC=/usr/src/kernels/$KERNEL_VER-$(uname -p)
check_kernel_version "$KERNEL_SRC" || KERNEL_SRC=/usr/src/linux-$(echo $KERNEL_VER | cut -d'-' -f1)
check_kernel_version "$KERNEL_SRC" || KERNEL_SRC=/usr/src/linux-source-$(echo $KERNEL_VER | cut -d'-' -f1)
check_kernel_version "$KERNEL_SRC" || KERNEL_SRC=/usr/src/linux

if ! check_kernel_version "$KERNEL_SRC"
then
	echo -n "Linux kernel ($KERNEL_VER) source directory [$KERNEL_SRC]: "
	read A
	[ "$A" ] && KERNEL_SRC="$A"
	[ ! -d "$KERNEL_SRC" ] && error "$KERNEL_SRC does not exit" && exit 1
fi 

if ! check_kernel_version "$KERNEL_SRC"
then
	error "Kernel source version in $KERNEL_SRC is not $KERNEL_VER"
	exit 1
fi

if [ ! -f "$KERNEL_SRC/drivers/devices/md/dm.h" ] << tu zmiana
then
	error "Kernel source code is incomplete - $KERNEL_SRC/drivers/devices/md/dm.h not found." << tu zmiana
	exit 1
fi

if [ ! -d "$KERNEL_BUILD/include/asm/" -o ! -f "$KERNEL_BUILD/Module.symvers" -o ! -f "$KERNEL_BUILD/.config" ]
then
	if [ ! -f "$KERNEL_SRC/.config" ]
	then
		if [ -f /proc/config.gz -o -f /boot/config-$KERNEL_VER -o -f /boot/config-$(uname -r) ]
		then
			echo -n "Configure kernel source according to the system configuration? [Y/n]: "
			read A
			if [ -z "$A" -o "$A" = "y" -o "$A" = "Y" ]
			then
				echo -n "Configuring kernel source in $KERNEL_SRC... "
				
				if [ -f /proc/config.gz ]
				then
					zcat /proc/config.gz >$KERNEL_SRC/.config || exit 1
				else
					if [ -f /boot/config-$(uname -r) ]
					then
						cp /boot/config-$(uname -r) $KERNEL_SRC/.config || exit 1
					else
						cp /boot/config-$KERNEL_VER $KERNEL_SRC/.config || exit 1
					fi
				fi
				
				make -C $KERNEL_SRC oldconfig </dev/null >/dev/null || exit 1
				echo Done.
			fi
		fi

		if [ ! -f "$KERNEL_SRC/.config" ]
		then
			error "Kernel not configured. You should run make -C $KERNEL_SRC config"
			exit 1
		fi
	fi

	if [ ! -d "$KERNEL_SRC/include/asm" ] && grep -q modules_prepare $KERNEL_SRC/Makefile
	then
		echo -n "Preparing kernel build system in $KERNEL_SRC... "
		if ! make -C $KERNEL_SRC modules_prepare >/dev/null 2>$TMP
		then
			cat $TMP; rm $TMP
			exit 1
		fi
		rm $TMP
		echo Done.
	fi


	if [ ! -d "$KERNEL_SRC/include/asm" -o ! -f "$KERNEL_SRC/Module.symvers" ] 
	then
		echo -n "Building internal kernel modules (may take a long time)... "
		if ! make -C $KERNEL_SRC modules >/dev/null 2>$TMP
		then
			cat $TMP; rm $TMP
			exit 1
		fi
		rm $TMP
		echo Done.
	fi

	if [ ! -d "$KERNEL_SRC/include/asm" ]
	then
		error "Kernel source code is not prepared for building of modules - $KERNEL_SRC/include/asm not found."
		exit 1
	fi
	
	KERNEL_BUILD=$KERNEL_SRC
fi

if [ -f $KERNEL_BUILD/.config ]
then
	grep -qi 'CONFIG_BLK_DEV_DM=[YM]' $KERNEL_BUILD/.config || echo "Warning: kernel device mapper support (CONFIG_BLK_DEV_DM) is disabled in $KERNEL_SRC"
fi

# Build

echo -n "Building kernel module... "
cd Kernel && make "KERNEL_SRC=$KERNEL_SRC" "KERNEL_BUILD=$KERNEL_BUILD" NO_WARNINGS=1 >/dev/null
[ $? -ne 0 ] && error "Failed to build kernel module" && exit 1
echo Done.

echo -n "Building truecrypt... "
cd ../Cli && make NO_WARNINGS=1 >/dev/null
[ $? -ne 0 ] && error "Failed to build truecrypt" && exit 1
echo Done.

exit 0
Zaznaczyłem linijki zmienione z /drivers/md/dm.h na /drivers/devices/md/dm.h . Jednak nadal nie może znaleźć dm.h Coś 3ba jeszcze porawić ? Źródła sa teoretycznie gdzie ich szuka.
Top
Belliash
Advocate
Advocate
User avatar
Posts: 2503
Joined: Wed Nov 24, 2004 1:39 pm
Location: Wroclaw, Poland
Contact:
Contact Belliash
Website

  • Quote

Post by Belliash » Fri Jun 22, 2007 6:16 am

Poe wrote:
Morpheouss wrote: a tak w ogole co to za karta, ze ndiswrappera potrzebuejsz do niej?
Broadcom 4318 AirPort One w moim HP Pavilion dv5000. tu opisalem dlaczego musze uzywac ndiswrappera - https://forums.gentoo.org/viewtopic-p-3 ... ml#3711500
w make.conf w FEATURES wpisz -sandbox i bedzie dzialac...
nie wiem czym to jest spowodowane ale kolega ma tak z alsa-driver na gentoo-sources :|


@tomiw: ten skrypt tylko sprawdza czy wszystko jest OK< pozniej wywoluje make, a ten korzysta juz z makefile. Prawdopodobnie jest w nim linijka -I$KERNEL_SRC/drivers/md co sprawia ze plikow *.h szuka wlasnie w tym katalogu... trzeba wyedytowac makefile(s) (zalezy ile ich tam jest)
Asio Software Technologies
Belliash IT Weblog
Top
tomiw
n00b
n00b
Posts: 16
Joined: Mon Jun 18, 2007 11:13 am

  • Quote

Post by tomiw » Fri Jun 22, 2007 3:49 pm

Jak wrócę z pracy to popatrzę do Makefile. Jeżeli sobie nie poradzę to wkleję go na forum ;)
Top
Belliash
Advocate
Advocate
User avatar
Posts: 2503
Joined: Wed Nov 24, 2004 1:39 pm
Location: Wroclaw, Poland
Contact:
Contact Belliash
Website

  • Quote

Post by Belliash » Fri Jun 22, 2007 3:53 pm

tomiw wrote:Jak wrócę z pracy to popatrzę do Makefile. Jeżeli sobie nie poradzę to wkleję go na forum ;)
juz lepiej na PW ;)
Asio Software Technologies
Belliash IT Weblog
Top
tomiw
n00b
n00b
Posts: 16
Joined: Mon Jun 18, 2007 11:13 am

  • Quote

Post by tomiw » Fri Jun 22, 2007 8:31 pm

Tak rzeczywiście była w Makefile linijka

Code: Select all

EXTRA_CFLAGS += -I$(KERNEL_SRC)/drivers/md
zmieniłem na

Code: Select all

EXTRA_CFLAGS += -I$(KERNEL_SRC)/drivers/devices/md
I skompilował się bez problemu


Edit by Poe
ort
Top
Belliash
Advocate
Advocate
User avatar
Posts: 2503
Joined: Wed Nov 24, 2004 1:39 pm
Location: Wroclaw, Poland
Contact:
Contact Belliash
Website

  • Quote

Post by Belliash » Sat Jun 23, 2007 6:00 am

rozumiem zatem ze zostaly tylko sterowniki ATI?
Asio Software Technologies
Belliash IT Weblog
Top
tomiw
n00b
n00b
Posts: 16
Joined: Mon Jun 18, 2007 11:13 am

  • Quote

Post by tomiw » Sun Jun 24, 2007 9:35 am

Dokładnie tak. Chyba zmienie na nvidie, bo nigdy mi nie podobało się wsparcie ati dla linuxa i jakość sterowników (oczywiście tych zamknietych tworzonych przez ati)
Top
Belliash
Advocate
Advocate
User avatar
Posts: 2503
Joined: Wed Nov 24, 2004 1:39 pm
Location: Wroclaw, Poland
Contact:
Contact Belliash
Website

  • Quote

Post by Belliash » Sun Jun 24, 2007 9:54 am

wiesz...

sprawa wyglada tak, ze ten pliczek jest wymagany przez stery ATI i byl w kernelu linuksa, ale troche zmodyfikowalismy kod i stal sie zbedny...
jak pewnie zauwazyles, zgloszenie zmienilo status na Assigned, wiec moze niedlugo cos sie z tym zrobi :P
Asio Software Technologies
Belliash IT Weblog
Top
Poe
Bodhisattva
Bodhisattva
User avatar
Posts: 2155
Joined: Sat Apr 03, 2004 5:57 pm
Location: Mysłowice/Lublin, Poland
Contact:
Contact Poe
Website

  • Quote

Post by Poe » Sun Jun 24, 2007 4:45 pm

no wlasnie, propos ATi. cougar............. rozwala mi X'y. okna pozostawiają po sobie ślady. grafika jest źle rendrowana, w niektórych miejscach jest przerwa w konturach, a jak odpale www, to zeby cokolwiek zobaczyc na niej, to musze kursorem po niej przejechac i w ogole wszystko tragicznie wolno dziala. na starym kernelu 2.6.20-ck śmiga bezproblemowo. karta to ati xpress200m w laptopie. szkoda, ze daje taki efekt, bo sam kernel sprawuje sie niezle, ale xy musze miec.

kernel na plus:
+ w końcu działa mi poprawna rozdzielczosc konsoli (we wszystkich kernelach miałem niska rozdzielczosc i duze czcionki, config jest ten sam)
+ faktycznie bootuje sie jakos szybciej (odczucie przynajmniej)

kernel na minus:
- alsa musi byc zewnętrzna
- te nieszczęsne xy
Hardware:HP Pavilion DV6875SE[C2DT5550@1.83GHz_3GB-DDR2_320GB-SATA_GF8400GS]
http://popularcoffee.blogspot.com - Popkulturowa Kawa
RLU#342333
Top
Belliash
Advocate
Advocate
User avatar
Posts: 2503
Joined: Wed Nov 24, 2004 1:39 pm
Location: Wroclaw, Poland
Contact:
Contact Belliash
Website

  • Quote

Post by Belliash » Sun Jun 24, 2007 5:06 pm

hmm...

mialem podobny efekt na XGLu jak uzywalem kwina...
jak odpalilem beryla to samo zniknelo...

pozniej zauwazylem ze n starszej wersji XGLa problemu tego nie ma.

Zapewne nie uzywasz XGLa ale jesli to mozliwe, to moglbys nad tym trochu posiedziec?
Najwyzej jesli nie bedzie zadnego rezultatu to wtedy zobacze co sie da zrobic.
Problem jest tego rodzaju ze tu kazdy ma grafike ze stajni nvidii... :(
Asio Software Technologies
Belliash IT Weblog
Top
Poe
Bodhisattva
Bodhisattva
User avatar
Posts: 2155
Joined: Sat Apr 03, 2004 5:57 pm
Location: Mysłowice/Lublin, Poland
Contact:
Contact Poe
Website

  • Quote

Post by Poe » Sun Jun 24, 2007 5:38 pm

cóż, masz rację. nie uzywam XGLa ani niczego podobnego (choc w koncu kiedys musze nad tym posiedzieć).
trochę probowałem zniwelować te 'efekty', była MAŁA poprawa (ciut płynniej działało, mniejsze ślady zostawaly) gdy przekompilowałem pakiety z serii
xf86-video-* (* = ati, vesa, fbdev vga), ale tak jak mówię, niewielka to ulgę przyniosło. oczywiscie potem przekompilowałem jeszcze xorg-server oraz xorg-x11, ale nic nie dało. przekompilowanie niektórych libów z x11-libs tez nic nie dało (render, dri, randr, oraz kilku innych).
Hardware:HP Pavilion DV6875SE[C2DT5550@1.83GHz_3GB-DDR2_320GB-SATA_GF8400GS]
http://popularcoffee.blogspot.com - Popkulturowa Kawa
RLU#342333
Top
Belliash
Advocate
Advocate
User avatar
Posts: 2503
Joined: Wed Nov 24, 2004 1:39 pm
Location: Wroclaw, Poland
Contact:
Contact Belliash
Website

  • Quote

Post by Belliash » Sun Jun 24, 2007 5:40 pm

a moze w konfigu kernela cos masz ?
niby konfig taki sam, ale inny kernel, moze miec czes czego nie mial poprzedni lub vice versa?
Asio Software Technologies
Belliash IT Weblog
Top
Poe
Bodhisattva
Bodhisattva
User avatar
Posts: 2155
Joined: Sat Apr 03, 2004 5:57 pm
Location: Mysłowice/Lublin, Poland
Contact:
Contact Poe
Website

  • Quote

Post by Poe » Sun Jun 24, 2007 5:57 pm

ciężko powiedzieć... w wolnym czasie (czyli nie wiem kiedy, bo od jutra zaczynam pracę) pogrzebie dokladniej w kernelu i pomysle co może byc tego przyczyną.
Hardware:HP Pavilion DV6875SE[C2DT5550@1.83GHz_3GB-DDR2_320GB-SATA_GF8400GS]
http://popularcoffee.blogspot.com - Popkulturowa Kawa
RLU#342333
Top
tomiw
n00b
n00b
Posts: 16
Joined: Mon Jun 18, 2007 11:13 am

  • Quote

Post by tomiw » Sun Jun 24, 2007 10:18 pm

Hmm... Ja mam prawie ten sam config co w 2.6.20-gentoo-r3 (zmiany związane ze SLUB, SATA i kilka innych drobnych), też mam grafikę ATI (x300se) i nie mam takiego objawu, xy działają wporządku tyle że nie ma akceleracji OpenGL. Sterownki to 8.37.6-r1 z portage.
Top
Belliash
Advocate
Advocate
User avatar
Posts: 2503
Joined: Wed Nov 24, 2004 1:39 pm
Location: Wroclaw, Poland
Contact:
Contact Belliash
Website

  • Quote

Post by Belliash » Mon Jun 25, 2007 6:04 am

chcialbym 1 rzecz wyjasnic na poczatku...

jakie stery sie nie kompiluja, jakie uzywacie i czym one sie roznia od siebie?


Dzieki tomiw za wsparcie ;)
Asio Software Technologies
Belliash IT Weblog
Top
tomiw
n00b
n00b
Posts: 16
Joined: Mon Jun 18, 2007 11:13 am

  • Quote

Post by tomiw » Mon Jun 25, 2007 9:28 am

Nie kompilują się x11-drivers/ati-drivers-8.37.6-r1 a dokładnie moduł jądra fglrx który przeznaczony jest do wsparcia DRI. Tych sterowników używam bo wątpie żeby jakieś starsze się skompilowały
Top
Belliash
Advocate
Advocate
User avatar
Posts: 2503
Joined: Wed Nov 24, 2004 1:39 pm
Location: Wroclaw, Poland
Contact:
Contact Belliash
Website

  • Quote

Post by Belliash » Mon Jun 25, 2007 9:48 am

tomiw wrote:Nie kompilują się x11-drivers/ati-drivers-8.37.6-r1 a dokładnie moduł jądra fglrx który przeznaczony jest do wsparcia DRI. Tych sterowników używam bo wątpie żeby jakieś starsze się skompilowały

jak sie nie kompiluja to jak ich uzywasz? Bez DRI?



############# NIE TESTOWANE LEKARSTWO NA ATI-DRIVERS #############

1) wersja 8.36.5 prawdopodobnie dziala z Cougarem, wiec mozliwy jest downgrade...
2) mozna zalatac wersje 8.37.6, w tym celu nalezy wypakowac plik *.run oraz dostac sie do zrodel. Nastepnie odnalezc plik 'firegl_public.c' w ktorym to wystepuje ow felerna linijka '#include "linux/ioctl32.h"' i zamienic ja na '#include "asm/compat.h"'


Oba powyzsze sposoby moga dzialac jak i zaden zn ich moze nie dzialac!
Zadnego z powyzszych sposobow nie testowalem!

Jezeli chociaz 1 z nich okaze sie solucja, problem uwazam za rozwiazany, jesli nie bedziemy myslec dalej...
Asio Software Technologies
Belliash IT Weblog
Top
XianN
Tux's lil' helper
Tux's lil' helper
User avatar
Posts: 82
Joined: Sat Jan 21, 2006 6:25 pm
Location: .wroc.pl

  • Quote

Post by XianN » Mon Jun 25, 2007 10:53 am

Morph: Chetnie potestuje ten kernel, ale jak dorobi sie obslugi jfs. Da sie to?
Top
Belliash
Advocate
Advocate
User avatar
Posts: 2503
Joined: Wed Nov 24, 2004 1:39 pm
Location: Wroclaw, Poland
Contact:
Contact Belliash
Website

  • Quote

Post by Belliash » Mon Jun 25, 2007 10:55 am

XianN wrote:Morph: Chetnie potestuje ten kernel, ale jak dorobi sie obslugi jfs. Da sie to?
Przykro mi, nie potrafie pomoc w tym zakresie.
Niestety nie ma takiej mozliwosci.
Asio Software Technologies
Belliash IT Weblog
Top
tomiw
n00b
n00b
Posts: 16
Joined: Mon Jun 18, 2007 11:13 am

  • Quote

Post by tomiw » Mon Jun 25, 2007 10:56 am

Ad 1.

Code: Select all

[ebuild     UD] x11-drivers/ati-drivers-8.36.5 [8.37.6-r1] USE="qt3 -acpi" 0 kB

Total: 1 package (1 downgrade), Size of downloads: 0 kB

Would you like to merge these packages? [Yes/No] y
>>> Verifying ebuild Manifests...

>>> Emerging (1 of 1) x11-drivers/ati-drivers-8.36.5 to /
 * ati-driver-installer-8.36.5-x86.x86_64.run RMD160 ;-) ...                                                 [ ok ]
 * ati-driver-installer-8.36.5-x86.x86_64.run SHA1 ;-) ...                                                   [ ok ]
 * ati-driver-installer-8.36.5-x86.x86_64.run SHA256 ;-) ...                                                 [ ok ]
 * ati-driver-installer-8.36.5-x86.x86_64.run size ;-) ...                                                   [ ok ]
 * checking ebuild checksums ;-) ...                                                                         [ ok ]
 * checking auxfile checksums ;-) ...                                                                        [ ok ]
 * checking miscfile checksums ;-) ...                                                                       [ ok ]
 * checking ati-driver-installer-8.36.5-x86.x86_64.run ;-) ...                                               [ ok ]
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     2.6.22
>>> Unpacking source...
>>> Unpacking ati-driver-installer-8.36.5-x86.x86_64.run to /usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work
 * Converting 2.6.x/Makefile to use M= instead of SUBDIRS= ...                                               [ ok ]
>>> Unpacking ./../common/usr/src/ati/fglrx_panel_sources.tgz to /usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/panel
>>> Unpacking ./../common/usr/src/ati/fglrx_sample_source.tgz to /usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/extra
>>> Source unpacked.
>>> Compiling source in /usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work ...
 * Preparing fglrx module
make -C /usr/src/linux M=/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/cougar-3.0.4'
  CC [M]  /usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:148:27: error: linux/ioctl32.h: No such file or directory
In file included from /usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/drm_proc.h:41,
                 from /usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:333:
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/drmP.h:126:1: warning: "DRM_DEBUG_CODE" redefined
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:177:1: warning: this is the location of the previous definition
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:451: warning: initialization from incompatible pointer type
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function 'firegl_stub_open':
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:574: warning: assignment discards qualifiers from pointer target type
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function 'firegl_put_user_ptr':
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1352: warning: cast from pointer to integer of different size
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1352: warning: cast from pointer to integer of different size
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1352: warning: cast from pointer to integer of different size
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1352: warning: cast from pointer to integer of different size
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function '__ke_pci_find_device':
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1739: warning: 'pci_find_device' is deprecated (declared at include/linux/pci.h:477)
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function '__ke_request_irq':
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2593: warning: 'deprecated_irq_flag' is deprecated (declared at include/linux/interrupt.h:66)
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2593: warning: passing argument 2 of 'request_irq' from incompatible pointer type
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function '__ke_unregister_ioctl32_conversion':
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2616: warning: 'return' with a value, in function returning void
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: At top level:
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:4847: warning: 'kmem_cache_t' is deprecated
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function 'KAS_SlabCache_Initialize':
/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:4888: warning: cast from pointer to integer of different size
make[2]: *** [/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Error 1
make[1]: *** [_module_/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/work/common/lib/modules/fglrx/build_mod/2.6.x] Error 2
make[1]: Leaving directory `/usr/src/cougar-3.0.4'
make: *** [kmod_build] Error 2

!!! ERROR: x11-drivers/ati-drivers-8.36.5 failed.
Call stack:
  ebuild.sh, line 1629:   Called dyn_compile
  ebuild.sh, line 975:   Called qa_call 'src_compile'
  ebuild.sh, line 44:   Called src_compile
  ati-drivers-8.36.5.ebuild, line 163:   Called linux-mod_src_compile
  linux-mod.eclass, line 516:   Called die

!!! Unable to make  GCC_VER_MAJ=4 KVER=2.6.22 KDIR=/usr/src/linux kmod_build.
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/usr/var/tmp/portage/x11-drivers/ati-drivers-8.36.5/temp/build.log'.
Także pierwsze rozwiązanie nie działa, nad drugim popracuję wieczorem
Last edited by tomiw on Tue Jun 26, 2007 12:57 am, edited 4 times in total.
Top
Belliash
Advocate
Advocate
User avatar
Posts: 2503
Joined: Wed Nov 24, 2004 1:39 pm
Location: Wroclaw, Poland
Contact:
Contact Belliash
Website

  • Quote

Post by Belliash » Mon Jun 25, 2007 10:58 am

tomiw: dzieki wielkie za testy ;)

mam nadzieje ze 2 sposob jednak bedzie dzialal...



A tak poza tym, do overlaya trafila dzis nowa wersja tego kernela - oznaczona numerkiem 3.0.5 (rewizja 838)!
Asio Software Technologies
Belliash IT Weblog
Top
evilav
n00b
n00b
User avatar
Posts: 63
Joined: Mon Aug 09, 2004 8:06 pm
Location: Wroc³aw

  • Quote

Post by evilav » Mon Jun 25, 2007 3:53 pm

A czy pod Sabayonem moge tego używać??
evilav :)
Top
Raku
Bodhisattva
Bodhisattva
User avatar
Posts: 2374
Joined: Sat Feb 28, 2004 12:02 am
Location: Poland

  • Quote

Post by Raku » Mon Jun 25, 2007 7:33 pm

evilav wrote:A czy pod Sabayonem moge tego używać??
najlepiej spytaj na forum Sabayona.
raku

Powered by Archlinux ;-)
Top
manwe_
l33t
l33t
User avatar
Posts: 650
Joined: Wed Feb 01, 2006 4:10 pm
Location: Universe

  • Quote

Post by manwe_ » Mon Jun 25, 2007 8:06 pm

Zassałem właśnie najnowsiejszą wersję 3.0.5, zobaczymy co z tego wyjdzie. Narazie tworzę config.
Pierwszy zauważony błąd: -> Power management options -> ACPI (Advanced Configuration and Power Interface) Support -> [puste okno]
Top
tomiw
n00b
n00b
Posts: 16
Joined: Mon Jun 18, 2007 11:13 am

  • Quote

Post by tomiw » Mon Jun 25, 2007 11:02 pm

U mnie jak najbardziej jest to menu. uruchamasz menuconfig czy xconfig ?
Top
Post Reply
  • Print view

164 posts
  • Page 5 of 7
    • Jump to page:
  • Previous
  • 1
  • …
  • 3
  • 4
  • 5
  • 6
  • 7
  • Next

Return to “Polskie forum (Polish)”

Jump to
  • Assistance
  • ↳   News & Announcements
  • ↳   Frequently Asked Questions
  • ↳   Installing Gentoo
  • ↳   Multimedia
  • ↳   Desktop Environments
  • ↳   Networking & Security
  • ↳   Kernel & Hardware
  • ↳   Portage & Programming
  • ↳   Gamers & Players
  • ↳   Other Things Gentoo
  • ↳   Unsupported Software
  • Discussion & Documentation
  • ↳   Documentation, Tips & Tricks
  • ↳   Gentoo Chat
  • ↳   Gentoo Forums Feedback
  • ↳   Duplicate Threads
  • International Gentoo Users
  • ↳   中文 (Chinese)
  • ↳   Dutch
  • ↳   Finnish
  • ↳   French
  • ↳   Deutsches Forum (German)
  • ↳   Diskussionsforum
  • ↳   Deutsche Dokumentation
  • ↳   Greek
  • ↳   Forum italiano (Italian)
  • ↳   Forum di discussione italiano
  • ↳   Risorse italiane (documentazione e tools)
  • ↳   Polskie forum (Polish)
  • ↳   Instalacja i sprzęt
  • ↳   Polish OTW
  • ↳   Portuguese
  • ↳   Documentação, Ferramentas e Dicas
  • ↳   Russian
  • ↳   Scandinavian
  • ↳   Spanish
  • ↳   Other Languages
  • Architectures & Platforms
  • ↳   Gentoo on ARM
  • ↳   Gentoo on PPC
  • ↳   Gentoo on Sparc
  • ↳   Gentoo on Alternative Architectures
  • ↳   Gentoo on AMD64
  • ↳   Gentoo for Mac OS X (Portage for Mac OS X)
  • Board index
  • All times are UTC
  • Delete cookies

© 2001–2026 Gentoo Foundation, Inc.

Powered by phpBB® Forum Software © phpBB Limited

Privacy Policy

 

 

magic